Loading...
Searching...
No Matches
Ogre::ProfileHistory Struct Reference
Core » General

Represents a history of each profile during the duration of the app. More...

`#include <OgreProfiler.h>`

## Public Attributes

Real | currentTimeMillisecs
| The current frame time this profile has taken in milliseconds.
Real | currentTimePercent
| The current percentage of frame time this profile has taken.
uint | hierarchicalLvl
| The hierarchical level of this profile, 0 being the root profile.
Real | maxTimeMillisecs
| The maximum frame time this profile has taken in milliseconds.
Real | maxTimePercent
| The maximum percentage of frame time this profile has taken.
Real | minTimeMillisecs
| The minimum frame time this profile has taken in milliseconds.
Real | minTimePercent
| The minimum percentage of frame time this profile has taken.
uint | numCallsThisFrame
| The number of times this profile has been called each frame.
ulong | totalCalls
| The total number of times this profile was called (used to calculate average).
Real | totalTimeMillisecs
| The total frame time this profile has taken in milliseconds.
Real | totalTimePercent
| The total percentage of frame time this profile has taken.

## Detailed Description

Represents a history of each profile during the duration of the app.

## Member Data Documentation

## currentTimePercent

Real Ogre::ProfileHistory::currentTimePercent

The current percentage of frame time this profile has taken.

## currentTimeMillisecs

Real Ogre::ProfileHistory::currentTimeMillisecs

The current frame time this profile has taken in milliseconds.

## maxTimePercent

Real Ogre::ProfileHistory::maxTimePercent

The maximum percentage of frame time this profile has taken.

## maxTimeMillisecs

Real Ogre::ProfileHistory::maxTimeMillisecs

The maximum frame time this profile has taken in milliseconds.

## minTimePercent

Real Ogre::ProfileHistory::minTimePercent

The minimum percentage of frame time this profile has taken.

## minTimeMillisecs

Real Ogre::ProfileHistory::minTimeMillisecs

The minimum frame time this profile has taken in milliseconds.

## numCallsThisFrame

uint Ogre::ProfileHistory::numCallsThisFrame

The number of times this profile has been called each frame.

## totalTimePercent

Real Ogre::ProfileHistory::totalTimePercent

The total percentage of frame time this profile has taken.

## totalTimeMillisecs

Real Ogre::ProfileHistory::totalTimeMillisecs

The total frame time this profile has taken in milliseconds.

## totalCalls

ulong Ogre::ProfileHistory::totalCalls

The total number of times this profile was called (used to calculate average).

## hierarchicalLvl

uint Ogre::ProfileHistory::hierarchicalLvl

The hierarchical level of this profile, 0 being the root profile.

The documentation for this struct was generated from the following file:

- OgreProfiler.h